NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.RodItemBuilder Class Reference

Represents a RodItem More...

Inheritance diagram for NXOpen.GeometricUtilities.RodItemBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CurveCreateType { ByPoints, ExistingCurves }
 These represent the type of curves to be created More...
 

Public Member Functions

unsafe void Destroy ()
 Deletes a Features. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Point EndPoint [get, set]
 Returns or sets the end point More...
 
unsafe NXOpen.Section GraphEdge [get]
 Returns the section defining the unit cell graph. More...
 
unsafe
NXOpen.GeometricUtilities.RodItemBuilder.CurveCreateType 
Method [get, set]
 Returns or sets the rod creation method. More...
 
unsafe int NumberOfSegments [get, set]
 Returns or sets the number of segments of the non-linear curve devided into a polyline More...
 
unsafe NXOpen.Point StartPoint [get, set]
 Returns or sets the start point of the rod. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a RodItem

To create a new instance of this class, use NXOpen.GeometricUtilities.RodItemListBuilder.CreateRodItemBuilder

Created in NX1847.0.0

Member Enumeration Documentation

These represent the type of curves to be created

Enumerator
ByPoints 

Create by points

ExistingCurves 

Create by existing curves

Member Function Documentation

unsafe void NXOpen.GeometricUtilities.RodItemBuilder.Destroy ( )
inline

Deletes a Features.

RodItemBuilder

Created in NX1847.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.GeometricUtilities.RodItemBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.Point NXOpen.GeometricUtilities.RodItemBuilder.EndPoint
getset

Returns or sets the end point

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Section NXOpen.GeometricUtilities.RodItemBuilder.GraphEdge
get

Returns the section defining the unit cell graph.

It can contain curves or edges. It is used only if the method is set to existing curves

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.RodItemBuilder.CurveCreateType NXOpen.GeometricUtilities.RodItemBuilder.Method
getset

Returns or sets the rod creation method.

The 2 choices are a rod defined by 2 selected points or a section defined by existing curves.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe int NXOpen.GeometricUtilities.RodItemBuilder.NumberOfSegments
getset

Returns or sets the number of segments of the non-linear curve devided into a polyline

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Point NXOpen.GeometricUtilities.RodItemBuilder.StartPoint
getset

Returns or sets the start point of the rod.

Used only if the rod creation method is set to by points.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.